Hooks:PostHook( InteractionTweakData, "init", "trop_custom_interactions", function(self, tweak_data)
	
	self.trop_boop_flamingo = {
		text_id = "hud_int_boop_flamingo",
		interact_distance = 100,
		start_active = true
	}
	
	self.hold_call_captain = {
		text_id = "hud_int_hold_call_pilot",
		action_text_id = "hud_action_calling_pilot",
		start_active = false,
		timer = 1,
		interact_distance = 100
	}
	
	self.finsternis_pickup_shovel = {
		text_id = "hud_finsternis_pickup_shovel",
		timer = 3,
		special_equipment_block = {
			"finsternis_tool_axe",
			"finsternis_tool_shovel"
		},
		start_active = false,
		interact_distance = 150
	}

	self.finsternis_use_tool_shovel = {
		text_id = "hud_finsternis_use_shovel",
		timer = 10,
		start_active = false,
		interact_distance = 200,
		special_equipment = "finsternis_tool_shovel",
		equipment_consume = false,
		equipment_text_id = "hint_finsternis_no_tool"
	}
end)